#
# spec file for package pantheon-terminal
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _version 0.3.x
Name:           pantheon-terminal
Version:        0.3.2
Release:        1.1
Summary:        Lightweight and modern Terminal for Elementary OS
License:        GPL-3.0+
Group:          System/X11/Terminals
Url:            https://launchpad.net/pantheon-terminal
Source:         https://launchpad.net/%{name}/%{_version}/%{version}/+download/%{name}-%{version}.tar.xz
# PATCH-FIX-OPENSUSE pantheon-terminal-fix-cflags.patch sor.alexei@meowr.ru -- Fix CFLAGS.
Patch0:         %{name}-fix-cflags.patch
BuildRequires:  cmake >= 2.6
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.22.0
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(granite) >= 0.3.0
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.9.10
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(vte-2.91)
BuildRequires:  pkgconfig(zeitgeist-1.0)
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
A super lightweight, beautiful, and simple terminal. It is designed
to be setup with sane defaults and little to no configuration. It
is just a terminal, nothing more, nothing less.

Designed for Elementary OS.

%lang_package

%prep
%setup -q
%patch0 -p1

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install

%suse_update_desktop_file %{name}
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}%{_datadir}/locale/

%post
%desktop_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/open-%{name}-here.desktop
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.pantheon.terminal.gschema.xml

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Mon Jul 11 2016 sor.alexei@meowr.ru
- Add pantheon-terminal-fix-cflags.patch: fix CFLAGS.
* Tue Dec 15 2015 and.november@opensuse.org
- update to version 0.3.2
* Sat May 16 2015 mailaender@opensuse.org
- update to 0.3.1.1
* Sun Jun 15 2014 mailaender@opensuse.org
- update to version 0.3.0.1
* Sun May  4 2014 mailaender@opensuse.org
- initial packaging
